6.0.0-git
2019-05-25

[#13168] Save passwords for remote accounts
Summary Save passwords for remote accounts
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2014-05-07 (1844 days ago)
Due
Updated 2016-06-29 (1060 days ago)
Assigned
Resolved 2015-04-27 (1489 days ago)
Milestone
Patch No

History
2015-04-27 23:54:28 Michael Slusarz Comment #6
Assigned to Michael Slusarz
State ⇒ Resolved
Version ⇒ Git master
Reply to this comment
IMP 7
2015-04-27 23:54:11 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 7fe2fcd908729dceef6c5ccce79f9ed72938c180
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 27 15:26:11 2015 -0600

     [mms] Allow remote account passwords to be saved encrypted in 
user's preferences (Request #13168).

     Key used to encrypt is derived from the "master" login authentication
     password, so the saved password is only valid as long as that password
     continues to be used.

  imp/docs/CHANGES                            |    2 +
  imp/js/base.js                              |    1 +
  imp/lib/Ajax/Application/Handler/Remote.php |   25 +++++++-
  imp/lib/Ftree/Account/Remote.php            |   17 +++++-
  imp/lib/Remote/Account.php                  |   91 +++++++++++++++++++++++++-
  imp/package.xml                             |    8 +++
  imp/templates/dynamic/mailbox.html.php      |    4 +
  7 files changed, 139 insertions(+), 9 deletions(-)

http://github.com/horde/horde/commit/7fe2fcd908729dceef6c5ccce79f9ed72938c180
2015-03-16 06:52:16 yvesdreger (at) t-online (dot) de Comment #4 Reply to this comment
Yes also me I'd like have save password in preference
I´m too

2014-08-04 15:23:24 balestrieri (at) mag-data (dot) com Comment #3 Reply to this comment
Yes also me I'd like have save password in preference

2014-05-07 18:45:33 azurit (at) pobox (dot) sk Comment #2 Reply to this comment
also allow auto-login for accounts where password is saved - 
everything should be configurable in preferences
2014-05-07 18:43:24 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Save passwords for remote accounts
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Please allow saving passwords for remote accounts. Yes, we all know 
it's not very secure but we still want to do it. Maybe you can 
implement something like master password later?

Saved Queries